
Name:    libktorrent
Summary: Library providing torrent downloading code
Version: 1.3.1
Release: 26%{?dist}

License: GPLv2+
URL:     http://projects.kde.org/libktorrent
Source0: http://ktorrent.pwsp.net/downloads/4.3.1/libktorrent-%{version}.tar.bz2

## upstream fixes
Patch101: 0001-Fix-bug-causing-authenticated-peers-not-to-get-accep.patch

BuildRequires: boost-devel
BuildRequires: gettext
BuildRequires: gmp-devel
BuildRequires: kdelibs4-devel
BuildRequires: libgcrypt-devel
BuildRequires: pkgconfig(qca2)

%description
%{summary}.

%package devel
Summary: Developer files for %{name}
Obsoletes: ktorrent-devel <= 4.0
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel%{?_isa}
# mse/bigint.h:#include <gmp.h>
Requires: gmp-devel%{?_isa}
%description devel
%{summary}.


%prep
%setup -q -n %{name}-%{version}

%patch101 -p1 -b .0001


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} .. 
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde


%ldconfig_scriptlets

%files -f %{name}.lang
%doc ChangeLog COPYING
%{_kde4_libdir}/libktorrent.so.5*

%files devel
%{_kde4_appsdir}/cmake/modules/FindKTorrent.cmake
%{_kde4_includedir}/libktorrent/
%{_kde4_libdir}/libktorrent.so


%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 27 2017 Jonathan Wakely <jwakely@redhat.com> - 1.3.1-20
- Rebuilt for Boost 1.63

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 15 2016 Jonathan Wakely <jwakely@redhat.com> - 1.3.1-18
- Rebuilt for Boost 1.60

* Thu Oct 22 2015 Rex Dieter <rdieter@fedoraproject.org> 1.3.1-17
- .spec cosmetics, update URL

* Thu Aug 27 2015 Jonathan Wakely <jwakely@redhat.com> - 1.3.1-16
- Rebuilt for Boost 1.59

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-15
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 1.3.1-14
- rebuild for Boost 1.58

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.3.1-12
- Rebuilt for GCC 5 C++11 ABI change

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 1.3.1-11
- Rebuild for boost 1.57.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jul 13 2014 Rex Dieter <rdieter@fedoraproject.org> 1.3.1-9
- pull in upstream fix for authenticated peers not to get accepted

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 1.3.1-7
- Rebuild for boost 1.55.0

* Wed Apr 23 2014 Tomáš Mráz <tmraz@redhat.com> - 1.3.1-6
- Rebuild for new libgcrypt

* Fri Jan 31 2014 Rex Dieter <rdieter@fedoraproject.org> 1.3.1-5
- update URLs

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 1.3.1-3
- Rebuild for boost 1.54.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 15 2013 Alexey Kurov <nucleo@fedoraproject.org> - 1.3.1-1
- libktorrent-1.3.1

* Mon Dec 24 2012 Rex Dieter <rdieter@fedoraproject.org> 1.3.0-2
- backport some upstream fixes, and some .spec cleanup

* Sat Sep  1 2012 Alexey Kurov <nucleo@fedoraproject.org> - 1.3.0-1
- libktorrent-1.3.0

* Wed Aug 15 2012 Alexey Kurov <nucleo@fedoraproject.org> - 1.3-0.1.rc1
- libktorrent-1.3rc1

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 12 2012 Alexey Kurov <nucleo@fedoraproject.org> - 1.2.1-1
- libktorrent-1.2.1-2

* Mon May 28 2012 Rex Dieter <rdieter@fedoraproject.org>
- 1.2.0-3
- -devel: Requires: gmp-devel
- pkgconfig-style deps

* Thu Mar 29 2012 Rex Dieter <rdieter@fedoraproject.org> 1.2.0-2
- KTorrent freezes on start (#808178)

* Mon Mar  5 2012 Alexey Kurov <nucleo@fedoraproject.org> - 1.2.0-1
- libktorrent-1.2.0

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-0.4.rc1
- Rebuilt for c++ ABI breakage

* Fri Feb 10 2012 Rex Dieter <rdieter@fedoraproject.org> 1.2-0.3.rc1
- fix Release

* Fri Feb 10 2012 Alexey Kurov <nucleo@fedoraproject.org> - 1.2-0.2.rc1
- fix performance issues

* Sat Jan  7 2012 Alexey Kurov <nucleo@fedoraproject.org> - 1.2-0.1.rc1
- libktorrent-1.2rc1

* Tue Nov 22 2011 Alexey Kurov <nucleo@fedoraproject.org> - 1.1.3-2
- libktorrent-1.1.3

* Wed Oct 26 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.1.2-1.2
- rebuild with new gmp without compat lib

* Wed Oct 12 2011 Peter Schiffer <pschiffe@redhat.com> - 1.1.2-1.1
- rebuild with new gmp

* Tue Aug 30 2011 Alexey Kurov <nucleo@fedoraproject.org> - 1.1.2-1
- libktorrent-1.1.2

* Thu Apr 28 2011 Alexey Kurov <nucleo@fedoraproject.org> - 1.1.1-1
- libktorrent-1.1.1

* Tue Mar 15 2011 Alexey Kurov <nucleo@fedoraproject.org> - 1.1.0-1
- libktorrent-1.1.0

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-0.3.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb  6 2011 Alexey Kurov <nucleo@fedoraproject.org> - 1.1-0.2.rc1
- libktorrent-1.1rc1

* Thu Dec 30 2010 Alexey Kurov <nucleo@fedoraproject.org> - 1.1-0.1.beta1
- libktorrent-1.1beta1
- BR: libgcrypt-devel

* Mon Oct 18 2010 Rex Dieter <rdieter@fedoraproject.org> - 1.0.4-1
- libktorrent-1.0.4

* Tue Aug 31 2010 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.3-1
- libktorrent-1.0.3
- Requires: kdelibs4

* Fri Jul  9 2010 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.2-2
- fixed license tag
- added license text

* Thu Jul  8 2010 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.2-1
- libktorrent-1.0.2

* Tue Jun 15 2010 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.1-1
- libktorrent-1.0.1

* Mon May 24 2010 Rex Dieter <rdieter@fedoraproject.org> 1.0.0-1
- libktorrent-1.0.0

* Wed May 05 2010 Rex Dieter <rdieter@fedoraproject.org> 1.0-0.2.rc1
- -devel: Obsoletes: ktorrent-devel

* Mon May 03 2010 Rex Dieter <rdieter@fedoraproject.org> 1.0-0.1.rc1
- libktorrent-1.0rc1

